--get adress
if m_simpleTV.Control.ChangeAdress ~= 'No' then return end

local inAdr =  m_simpleTV.Control.CurrentAdress

if inAdr==nil then return end

if  not string.match( inAdr, 'http://bg%-gledai%.tv' ) then return end

m_simpleTV.Control.ChangeAdress='Yes'
m_simpleTV.Control.CurrentAdress = ''

local session = m_simpleTV.WinInet.New("Opera/9.80 (Windows NT 6.1; U; ru) Presto/2.9.168 Version/11.52")
if session == nil then return end

 --INTERNET_OPTION_CONNECT_TIMEOUT
 m_simpleTV.WinInet.SetOptionInt(session,2,3000,0)
 --INTERNET_OPTION_RECEIVE_TIMEOUT
 m_simpleTV.WinInet.SetOptionInt(session,6,5000,0)

local rc,answer=m_simpleTV.WinInet.Get(session,inAdr..'?a=' .. math.random())

if rc~=200 then
       m_simpleTV.WinInet.Close(session)
	   m_simpleTV.OSD.ShowMessage("ff1",255,5)
	   return
end

local adr =  'http://freshvideos.net/xml.xml?channel=foxlife&a=' .. math.random()
local header='Referer: http://freshvideos.net/player.swf'

 rc,answer=m_simpleTV.WinInet.Get(session,adr,nil,0,header)
 m_simpleTV.WinInet.Close(session)

 if rc~=200 then
	   m_simpleTV.OSD.ShowMessage("ff2",255,5)
	   return
 end
 
--debug_in_file(answer..'\n')
 local retAdr= findpattern( answer,'<jwplayer:file>(.-)<',1,15,1)
--debug_in_file(retAdr..'\n')

m_simpleTV.Control.CurrentAdress = retAdr




